@echo off
@rem --- Clean up : Delete old Include files ---
del Include\ZenLib\*.* /Q
del Include\*.* /Q
mkdir Include
mkdir Include\ZenLib

@rem --- Clean up : Delete old Doc files ---
del Doc\*.* /Q
mkdir Doc

@rem --- Clean up : Delete old Zip files ---
del ZenLib_MSVC.zip
del ZenLibA_MSVC.zip

@rem --- Preparing Release : Include ---
copy ..\Source\ZenLib\*.h Include\ZenLib\

@rem --- Preparing Release : Documentation ---
cd ..\Source\Doc
..\..\..\Shared\Binary\Doxygen Doxygen
cd ..\..\Release

@rem --- Copying : Library ---
cd BCB\Library
..\..\..\..\Shared\Binary\7z a -tzip ..\..\ZenLib_MSVC.zip ZenLib.lib
..\..\..\..\Shared\Binary\7z a -tzip ..\..\ZenLibA_MSVC.zip ZenLibA.lib
cd ..\..

@rem --- Copying : Includes ---
..\..\Shared\Binary\7z a -tzip ZenLib_MSVC.zip Include\ZenLib\*.h
..\..\Shared\Binary\7z a -tzip ZenLibA_MSVC.zip Include\ZenLib\*.h

@rem --- Copying : Documentation ---
..\..\Shared\Binary\7z a -tzip ZenLib_MSVC.zip Documentation.html Doc\*.html Doc\*.css Doc\*.png
..\..\Shared\Binary\7z a -tzip ZenLibA_MSVC.zip Documentation.html Doc\*.html Doc\*.css Doc\*.png

rem --- Copying : Information files ---
..\..\Shared\Binary\7z a -tzip ZenLib_MSVC.zip *.txt
..\..\Shared\Binary\7z a -tzip ZenLibA_MSVC.zip *.txt

rem --- Copying : Licence files ---
cd ..
..\Shared\Binary\7z a -tzip .\Release\ZenLib_MSVC.zip Licence.txt
..\Shared\Binary\7z a -tzip .\Release\ZenLibA_MSVC.zip Licence.txt
cd Release

@rem --- Clean up : Include files ---
del Include\ZenLib\*.* /Q
del Include\*.* /Q
rmdir Include\ZenLib
rmdir Include

@rem --- Clean up : Doc files ---
del Doc\*.* /Q
rmdir Doc

